## giflib 4.1.6

=== debian/changelog ===
giflib (4.1.6-9ubuntu1) precise; urgency=low

  * Multiarch it and add fprintf_format_error.patch (Closes: #647497).
    Thanks to YunQiang Su for the patch.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 18 Jan 2012 16:16:21 +0100

giflib (4.1.6-9) unstable; urgency=low

  * New Maintainer (Closes: #543841)
  * Adding watch file (Closes: #453530)
  * Converting to source package "3.0 (quilt)".
  * Correcting debhelper version dependency.
  * Adding Vcs fields.
  * Adding manpages.
  * Removing duplicate Section field.
  * Correctly hyphenate man pages.
  * Fixing spelling typos.
  * Adding symbols file.
  * Autoreconfiguring to fix rpath.
  * Cleaning what autoreconf did.
  * Registering html documentation.

 -- Thibaut GRIDEL <tgridel@free.fr>  Wed, 13 Jan 2010 21:22:00 +0100

giflib (4.1.6-8) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 07:25:21 +0200

giflib (4.1.6-7) unstable; urgency=low

  * Replacing obsolete dh_clean -k with dh_prep.
  * Updating section of the debug package.
  * Using quilt rather than dpatch.
  * Using correct rfc-2822 date formats in changelog.
  * Updating package to standards version 3.8.2.
  * Removing old transitional packages.
  * Adding misc depends to debug and development package.
  * Updating year in copyright file.
  * Minimizing rules file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 27 Jul 2009 13:12:16 +0200

giflib (4.1.6-6) unstable; urgency=low

  * Updating vcs fields in control file.
  * Using patch-stamp rather than patch in rules file.
  * Removing config.guess and config.sub in clean target of rules.
  * Passing '--disable-x11' to configure call to ensure that giflib is
    not linked against X11 libs by accident (Closes: #503836).

 -- Daniel Baumann <daniel@debian.org>  Tue, 28 Oct 2008 21:57:00 +0100

giflib (4.1.6-5) unstable; urgency=low

  * Correcting mistake of having libungif4-dev transitional package arch
    dependent.
  * Also adding libgif.so.4.1 symlink.
  * Using links debhelper to create symlinks.
  * Reordering rules file (Closes: #488586).
  * Rewriting copyright file in machine-interpretable format.
  * Adding vcs fields in control file.
  * Upgrading package to standards .8.0.
  * Upgrading package to debhelper 7.
  * Reverting config.guess and config.sub to upstream.

 -- Daniel Baumann <daniel@debian.org>  Wed, 16 Jul 2008 12:06:00 +0200

giflib (4.1.6-4) unstable; urgency=high

  * Adding patch from libungif to fix CVE-2005-2974 and CVE-2005-3350.
  * Updating upstream homepage (Closes: #469561).

 -- Daniel Baumann <daniel@debian.org>  Fri, 07 Mar 2008 14:40:00 +0100

giflib (4.1.6-3) unstable; urgency=high

  * Adding transitional packages to kick libungif out of the archive by force.
  * Removing watch file (Closes: #453592).

 -- Daniel Baumann <daniel@debian.org>  Wed, 06 Feb 2008 23:22:00 +0100

giflib (4.1.6-2) unstable; urgency=low

  * Adding legacy links for libungif4g/libungif4-dev.

 -- Daniel Baumann <daniel@debian.org>  Thu, 17 Jan 2008 20:02:00 +0100

giflib (4.1.6-1) unstable; urgency=low

  * New upstream release.
  * Bumped package to new policy.
  * Using new homepage field in control.
  * Don't hide make errors in clean target of rules.
  * Added --fail-missing to dh_install call.
  * Updated conficts/replaces/provides to initiate libungif4 to libgif4
    transition.

 -- Daniel Baumann <daniel@debian.org>  Thu, 17 Jan 2008 18:34:00 +0100

giflib (4.1.4-2) unstable; urgency=low

  * Minor cleanups.

 -- Daniel Baumann <daniel@debian.org>  Fri, 19 Jan 2007 14:14:00 +0100

giflib (4.1.4-1) unstable; urgency=low

  * Took over package from Pawel.
  * New upstream release (Closes: #395388):
    - This is giflib 4.x, replacing giflib 3.x. No package in the archive has to
      be transitioned. After etch, giflib will replace libungif (all alleged patents
      are expired all over the world).
    - doesn't contain gif2x11 (Closes: #328665)
    - isn't affected by CVE-2005-2974 and CVE-2005-3350 (Closes: #395382).
  * Redone debian directory based on current debhelper templates, additionally:
    - added watch file.
    - added debug package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 02 Nov 2006 20:39:00 +0100

giflib (3.0-12) unstable; urgency=low

  * Applied patch from Dann Frazier <dannf@hp.com> to fix problems on 64-bit
    archs (closes: #325034)
  * Updated standards-version (no changes required)

 -- Pawel Wiecek <coven@debian.org>  Thu, 22 Sep 2005 21:15:00 +0200

giflib (3.0-11) unstable; urgency=low

  * Updated copyright file by removing warning saying it cannot by put on CDs,
    removed patent-related notes from long descriptions in control as well
    (should have done that in -10, but forgot).

 -- Pawel Wiecek <coven@debian.org>  Thu, 19 Aug 2004 00:43:34 +0200

giflib (3.0-10) unstable; urgency=low

  * Moved to main because of LZW's patent expiration (at long last!)
    (closes: #258465)
  * Fixed build-dependencies (closes: #262405)

 -- Pawel Wiecek <coven@debian.org>  Tue, 17 Aug 2004 22:09:18 +0200

giflib (3.0-9) unstable; urgency=low

  * Renamed getarg.h to gagetarg.h, to avoid name clashes (closes: #83331)
  * Updated standards version (no changes)

 -- Pawel Wiecek <coven@debian.org>  Mon, 19 Jan 2004 22:47:34 +0100

giflib (3.0-8) unstable; urgency=low

  * Applied patch from John Lightsey <john@nixnuts.net> to fix transparency
    problems (closes: #20716)
  * Documented the fact, that giflib cannot be put on CD-ROMs (closes: #24580)
  * Applied patch from John Lightsey <john@nixnuts.net> to fix gifinto's
    behavior when no arguments are supplied (closes: #49431)
  * giflib3g-dev now conflicts with heimdal-dev (closes: #83331, #180265)
  * Updated standards version
  * Updated sections (giflib3g-dev goes to non-free/libdevel, giflib3g-bin
    goes to non-free/utils)

 -- Pawel Wiecek <coven@debian.org>  Wed, 18 Jun 2003 13:54:09 +0200

