=== debian/control ===
Source: giflib
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thibaut GRIDEL <tgridel@free.fr>
Build-Depends: debhelper (>= 8.1.3), autotools-dev, automake, autoconf, libtool (>=2.2.6)
Standards-Version: 3.9.2
Homepage: http://giflib.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/giflib.git;a=summary
Vcs-Git: git://git.debian.org/collab-maint/giflib.git

Package: giflib-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends}, giflib-tools (= ${binary:Version}),
 libgif4 (= ${binary:Version}), libgif-dev (= ${binary:Version})
Description: library for GIF images (debug)
 GIFLIB is a package of portable tools and library routines for working with GIF
 images.
 .
 This package contains the debugging symbols.

Package: giflib-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libungif-bin
Description: library for GIF images (utilities)
 GIFLIB is a package of portable tools and library routines for working with GIF
 images.
 .
 This package contains additional utilities.

Package: libgif4
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libungif4g
Multi-Arch: same
Description: library for GIF images (library)
 GIFLIB is a package of portable tools and library routines for working with GIF
 images.
 .
 This package contains the library.

Package: libgif-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libgif4 (= ${binary:Version})
Provides: libungif4-dev
Description: library for GIF images (development)
 GIFLIB is a package of portable tools and library routines for working with GIF
 images.
 .
 This package contains the development files.
