## giflib 5.1.2

=== debian/changelog ===
giflib (5.1.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix DGifOpen(), uninitialized memory. Closes: #812093.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Jan 2016 01:00:16 +0100

giflib (5.1.2-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * New upstream version.
    - CVE-2015-7555, Heap-based buffer overflow in giffix utility.
      Closes: #808704.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Jan 2016 22:26:13 +0100

giflib (5.1.1-0.2) unstable; urgency=medium

  * Non-maintainer upload, upload to unstable. Closes: #803158.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Dec 2015 16:13:06 +0100

giflib (5.1.1-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream version. See: #803158.
  * Enable parallel builds.
  * Build-depend on xmlto.
  * Don't ship broken libungif symlinks. Closes: #732272. LP: #1337898.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Oct 2015 01:07:33 +0100

giflib (4.1.6-11) unstable; urgency=low

  * Remove Provides: libungif4g.
  * Enable Multiarch (Closes: #647497).
  * depend on dh-autoreconf.
  * Update to debhelper 9 and bump Standards to 3.9.4.
  * Honor the LAFileRemoval goal.
  * Update git links.

 -- Thibaut Gridel <tgridel@free.fr>  Sat, 07 Dec 2013 18:40:27 +0100

giflib (4.1.6-10) unstable; urgency=low

  * Fixing fprintf issues by YunQiang Su.
  * Hardening build flags (Closes: #673660).
  * Updating Standards (no change).

 -- Thibaut Gridel <tgridel@free.fr>  Fri, 19 Oct 2012 23:03:46 +0200

giflib (4.1.6-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Depend on libperl4-corelibs-perl (Closes: #659421)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 28 Apr 2012 17:29:52 +0100
