=== debian/control ===
Source: giflib
Section: libs
Priority: optional
Maintainer: Thibaut Gridel <tgridel@free.fr>
Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf, xmlto
Standards-Version: 3.9.6
Homepage: http://giflib.sourceforge.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/giflib.git;a=shortlog;h=refs/heads/debian
Vcs-Git: git://anonscm.debian.org/collab-maint/giflib.git -b debian

Package: giflib-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends}, giflib-tools (= ${binary:Version}),
 libgif7 (= ${binary:Version}), libgif-dev (= ${binary:Version})
Description: library for GIF images (debug)
 GIFLIB is a package of portable tools and library routines for working with GIF
 images.
 .
 This package contains the debugging symbols.

Package: giflib-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libperl4-corelibs-perl | perl (<< 5.12.3-7)
Provides: libungif-bin
Description: library for GIF images (utilities)
 GIFLIB is a package of portable tools and library routines for working with GIF
 images.
 .
 This package contains additional utilities.

Package: libgif7
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: library for GIF images (library)
 GIFLIB is a package of portable tools and library routines for working with GIF
 images.
 .
 This package contains the library.

Package: libgif-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libgif7 (= ${binary:Version})
Description: library for GIF images (development)
 GIFLIB is a package of portable tools and library routines for working with GIF
 images.
 .
 This package contains the development files.
