## giflib 5.1.4

=== debian/changelog ===
giflib (5.1.4-2ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2016-3977.patch: fix SF
      in heap buff overflow in lib/dgif_lig.c,
      util/gif2rgb.c.
    - CVE-2016-3977
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-11490.patch: adding checks
      in DGifDecompressLine in order to avoid a heap buffer overflow and
      a denial of service in lib/dgif_lib.c.
    - CVE-2018-11490
  * SECURITY UPDATE: Divide-by-zero
    - debian/patches/CVE-2019-15133.patch: adding checks bounds
      in lib/dgif_lib.c.
    - CVE-2019-15133

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 19 Aug 2019 15:35:19 -0300

giflib (5.1.4-2) unstable; urgency=low

  * QA upload.
  * New vcs repository generated from a) "gbp import-dscs --debsnap giflib",
    b) old repo on alioth c) private repo for changes > 5.1.4-0.4.
    Update Vcs* in debian/control, pointing to salsa.
  * [lintian] Delete trailing whitespace in changelog.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 11 Feb 2018 15:43:54 +0100

giflib (5.1.4-1) unstable; urgency=low

  * QA upload.
  * Set maintainer to qa.
  * Build with hardening=+bindnow.
  * Switch to automatic dbgsym packages.
  * 03-spelling_fixes.patch: Fix another two typoes found by lintian.
  * Bump standards-version - No changes.
  * Use debhelper 10 compat, which uses autoreconf and --parallel by default.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 01 Aug 2017 18:06:06 +0200

giflib (5.1.4-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove patch/issue87 because that is already present in upstream.
  * Remove patch/04-fprintf_format_error.patch which was commented out anyway.
  * Install manpages supplied by upstream
    Closes: #809439.

 -- Paolo Greppi <paolo.greppi@libpf.com>  Tue, 18 Oct 2016 00:16:00 +0200

giflib (5.1.4-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2016-3977: gif2rgb: heap buffer overflow. Closes: #820526.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Jun 2016 00:24:07 +0200

giflib (5.1.4-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop the local fix for issue #81, solved differently upstream.
    Closes: #823481.

 -- Matthias Klose <doko@debian.org>  Sun, 08 May 2016 17:40:28 +0200

giflib (5.1.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * Security issues already fixed in 5.1.2: CVE-2016-3977.
    Closes: #820594, #820526.
  * Update symbols file.

 -- Matthias Klose <doko@debian.org>  Mon, 25 Apr 2016 20:19:43 +0200

giflib (5.1.2-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  [ Tobias Frost ]
  * debian/patches/ef0cb9b4be572262b49fbc26fb2348683f44a517.patch:
    try to fix testsuite failures on feh/powerpc.
    (Closes: #812657)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Apr 2016 19:09:44 +0200
