=== debian/control ===
--- 
+++ 
@@ -1,25 +1,13 @@
 Source: giflib
 Section: libs
 Priority: optional
-Maintainer: Thibaut Gridel <tgridel@free.fr>
-Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf, xmlto
-Standards-Version: 3.9.6
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 10), xmlto
+Standards-Version: 4.1.3
 Homepage: http://giflib.sourceforge.net/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/giflib.git;a=shortlog;h=refs/heads/debian
-Vcs-Git: git://anonscm.debian.org/collab-maint/giflib.git -b debian
-
-Package: giflib-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends:
- ${misc:Depends}, giflib-tools (= ${binary:Version}),
- libgif7 (= ${binary:Version}), libgif-dev (= ${binary:Version})
-Description: library for GIF images (debug)
- GIFLIB is a package of portable tools and library routines for working with GIF
- images.
- .
- This package contains the debugging symbols.
+Vcs-Git: https://salsa.debian.org/debian/giflib.git
+Vcs-Browser: https://salsa.debian.org/debian/giflib
 
 Package: giflib-tools
 Section: utils
