## giflib 5.1.4.1

=== debian/changelog ===
giflib (5.1.4.1-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 0f88ebfba14ab876de346660c50fe970c951f208']

 -- shuttle <shuttle@deepin.com>  Tue, 04 Aug 2020 16:52:38 +0000
