=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: giflib
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 10), xmlto
 Standards-Version: 4.1.3
 Homepage: http://giflib.sourceforge.net/
