## giflib 5.1.4.2

=== debian/changelog ===
giflib (5.1.4.2-3+security) unstable; urgency=medium

  * update

 -- Debian QA Group <packages@qa.debian.org>  Fri, 16 Apr 2021 14:49:10 +0800

giflib (5.1.4.1-1+dde) unstable; urgency=medium

  *rebuild

 -- liuxin <liuxin@uniontech.com>  Sun, 05 Jul 2020 19:31:34 +0800

giflib (5.1.4-3) unstable; urgency=medium

  * QA upload.
  * Heap-based buffer overflow in util/gif2rgb.c (CVE-2016-3977)
    (Closes: #820526)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 05 Jun 2018 20:58:51 +0200
