## giflib 5.1.4.3

=== debian/changelog ===
giflib (5.1.4.3-deepin1) unstable; urgency=medium

  * 1.fix DGifSlurp function signed-integer-overflow

 -- liaoyuan <liaoyuan@liaoyuan>  Mon, 06 Mar 2023 15:00:47 +0800
