=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow

%:
	dh ${@}

override_dh_auto_install:
	# force rebuilding the manpages
	rm -rf doc/*.1

	dh_auto_install

	# Installing additional documentation
	mkdir -p debian/giflib-tools/usr/share/doc/giflib-tools/html
	cp -a doc/*.txt debian/giflib-tools/usr/share/doc/giflib-tools/
	cp -a doc/*.html debian/giflib-tools/usr/share/doc/giflib-tools/html

override_dh_strip:
	dh_strip --dbgsym-migration='giflib-dbg (<< 5.1.4-1)'
