## giflib 5.1.9

=== Makefile ===
--- 
+++ 
@@ -6,11 +6,9 @@
 # of code space in the shared library.
 
 #
-CC    = gcc
 OFLAGS = -O0 -g
-#OFLAGS  = -O2 -fwhole-program
+OFLAGS  = -O2
 CFLAGS  = -std=gnu99 -fPIC -Wall -Wno-format-truncation $(OFLAGS)
-LDFLAGS = -g
 
 SHELL = /bin/sh
 TAR = tar
@@ -30,10 +28,14 @@
 LIBPOINT=0
 LIBVER=$(LIBMAJOR).$(LIBMINOR).$(LIBPOINT)
 
-SOURCES = dgif_lib.c egif_lib.c getarg.c gifalloc.c gif_err.c gif_font.c \
-	gif_hash.c openbsd-reallocarray.c qprintf.c quantize.c
-HEADERS = getarg.h  gif_hash.h  gif_lib.h  gif_lib_private.h
+SOURCES = dgif_lib.c egif_lib.c gifalloc.c gif_err.c gif_font.c \
+	gif_hash.c openbsd-reallocarray.c
+HEADERS = gif_hash.h  gif_lib.h  gif_lib_private.h
 OBJECTS = $(SOURCES:.c=.o)
+
+USOURCES = qprintf.c quantize.c getarg.c 
+UHEADERS = getarg.h
+UOBJECTS = $(USOURCES:.c=.o)
 
 # Some utilities are installed
 INSTALLABLE = \
@@ -60,19 +62,25 @@
 
 LDLIBS=libgif.a -lm
 
-all: libgif.so libgif.a $(UTILS)
+all: libgif.so libgif.a libutil.so libutil.a $(UTILS)
 	$(MAKE) -C doc
 
-$(UTILS):: libgif.a
+$(UTILS):: libgif.a libutil.a
 
 libgif.so: $(OBJECTS) $(HEADERS)
-	$(CC) $(CFLAGS) -shared $(OFLAGS) -Wl,-soname -Wl,libgif.so.$(LIBMAJOR) -o libgif.so $(OBJECTS)
+	$(CC) $(CFLAGS) -shared $(LDFLAGS) -Wl,-soname -Wl,libgif.so.$(LIBMAJOR) -o libgif.so $(OBJECTS)
 
 libgif.a: $(OBJECTS) $(HEADERS)
 	$(AR) rcs libgif.a $(OBJECTS)
 
+libutil.so: $(UOBJECTS) $(UHEADERS)
+	$(CC) $(CFLAGS) -shared $(LDFLAGS) -Wl,-soname -Wl,libutil.so.$(LIBMAJOR) -o libutil.so $(UOBJECTS)
+
+libutil.a: $(UOBJECTS) $(UHEADERS)
+	$(AR) rcs libutil.a $(UOBJECTS)
+
 clean:
-	rm -f $(UTILS) $(TARGET) libgetarg.a libgif.a libgif.so
+	rm -f $(UTILS) $(TARGET) libgetarg.a libgif.a libgif.so libutil.a libutil.so *.o
 	rm -f libgif.so.$(LIBMAJOR).$(LIBMINOR).$(LIBPOINT)
 	rm -f libgif.so.$(LIBMAJOR)
 	rm -fr doc/*.1 *.html doc/staging
@@ -126,7 +134,7 @@
 	     doc/whatsinagif \
 
 DSOURCES = Makefile *.[ch]
-DOCS = doc/*.xml doc/*.1 doc/*.html doc/*.txt doc/index.html.in doc/00README doc/Makefile
+DOCS = doc/*.xml doc/*.1 doc/*.html doc/index.html.in doc/00README doc/Makefile
 ALL =  $(DSOURCES) $(DOCS) tests pic $(EXTRAS)
 giflib-$(VERSION).tar.gz: $(ALL)
 	$(TAR) --transform='s:^:giflib-$(VERSION)/:' -czf giflib-$(VERSION).tar.gz $(ALL)
