=== debian/changelog ===
giflib (5.1.9-2build2) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:54:44 +0100

giflib (5.1.9-2build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:11:59 +0200

giflib (5.1.9-2) unstable; urgency=medium

  * New Debian version.
  * d/control:
    - Update debhelper compatibility.
    - Update standards version; no changes needed.
  * d/patches:
    - Add 'fix-spelling-errors-on-doc-pages'; Closes: #857609.
    - Add 'fix-get-args-segment-violation';
        Closes: #715963, #715964, #715967.
    - Add 'recover-giffilter-docs'.
    - Add 'add-gifsponge-docs'.
  * d/rules:
    - Install only html docs for installed binaries.
    - Clean generated patched doc files.
  * Update d/source/lintian-overrides tag.
  * Remove d/giflib-tools.lintian-overrides: we have the manpages.

 -- David Suárez <david.sephirot@gmail.com>  Sun, 20 Dec 2020 22:07:35 +0100

giflib (5.1.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol.

  [ Andreas Metzler ]
  * AUTHORS file not shipped anymore, update debian/*.docs.
  * Uses straight make instead of autotools, adapt debian/rules accordingly.
  * Use dh 12 compat level.
  + Update debian/copyright, add Format specifier.

  [ David Suárez ]
  * New upstream version:
    - Add myself as maintainer; Closes: #834410.
    - Fixes heap-based buffer overflow in DGifDecompressLine function.
        CVE-2018-11490 sf#113; Closes: #904114
    - Fixes MemorySanitizer: FPE on unknown address;
        CVE-2019-15133 sf#119: Closes: #904113
  * Acknowledges NMU's uploads.
  * d/watch:
    - Bump version.
    - Don't run uupdate.
    - Don't use debian redirector.
  * d/patches:
    - Drop '03-spelling_fixes.patch' and 'CVE-2016-3977.patch';
        Applied upstream.
    - Add 'install-only-distributed-binaries-manuals' patch.
    - Add 'revert-GifQuantizeBuffer-remove-from-lib' patch.
  * d/rules
    - Don't force the rebuilding of manpages, the clean rule does the job.
    - Remove the txt docs from giflib-tools; Not distributed.
    - Remove 'dh_strip --dbgsym-migration'; Not needed anymore.
    - Set DPKG_GENSYMBOLS_CHECK_LEVEL to 4.
  * giflib-tools.manpages: point to the correct ones.
  * d/control:
    - Add 'Rules-Requires-Root' field.
    - Update Standars version; no changes needed.
    - Change VCS URL's.
  * d/libgif7.symbols:
    - Add 'Build-Depends-Package' field.
    - Update symbols.
  * d/copyright:
    - Remove 'doc/gif87.txt'; Nows not distributed.
    - Add myself on debian/* files.
    - Add 'upstream-{Name,Contact}'.
  * Wrap and sort.
  * Add upstream metadata.
  * Add lintian overrides for some giflib-tools manpages.
  * Add lintian source override for sourceforge redirector.
  * Drop libgif7.shlibs; not needed.

 -- David Suárez <david.sephirot@gmail.com>  Sun, 08 Dec 2019 21:18:23 +0100
