=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow
export DPKG_GENSYMBOLS_CHECK_LEVEL := 4

doc_html = \
	doc/gif_lib.html \
	doc/gif2rgb.html \
	doc/gifbuild.html \
	doc/gifclrmp.html \
	doc/gifecho.html \
	doc/giffilter.html \
	doc/giffix.html \
	doc/gifinto.html \
	doc/giflib.html \
	doc/gifsponge.html \
	doc/giftext.html \
	doc/giftool.html \
	doc/intro.html

%:
	dh ${@}

override_dh_auto_build:
	dh_auto_build -- OFLAGS="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS)" \
		PREFIX=/usr \
		LIBDIR=/usr/lib/$(DEB_TARGET_MULTIARCH)

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr \
		LIBDIR=/usr/lib/$(DEB_TARGET_MULTIARCH)

	# Installing additional documentation
	mkdir -p debian/giflib-tools/usr/share/doc/giflib-tools/html
	cp -a $(doc_html) debian/giflib-tools/usr/share/doc/giflib-tools/html

override_dh_auto_clean:
	dh_auto_clean
	rm -f doc/*.1 doc/*.html
