=== debian/watch ===
version=4
opts=filenamemangle=s/.*?\/giflib-([\d+\.]+|\d+)\.(tar\.(?:gz|bz2|xz))\/download/giflib-$1\.$2/ \
  https://sourceforge.net/projects/giflib/files giflib-([\d+\.]+|\d+)\.(?:tar\.(?:gz|bz2|xz))/download
