=== debian/control ===
Source: giflib
Section: libs
Priority: optional
Maintainer: David Suárez <david.sephirot@gmail.com>
Build-Depends: debhelper-compat (= 13), xmlto
Standards-Version: 4.6.0
Homepage: http://giflib.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/giflib.git
Vcs-Browser: https://salsa.debian.org/debian/giflib
Rules-Requires-Root: no

Package: giflib-tools
Section: utils
Architecture: any
Depends:
 libperl4-corelibs-perl | perl (<< 5.12.3-7),
 ${misc:Depends},
 ${shlibs:Depends}
Provides: libungif-bin
Description: library for GIF images (utilities)
 GIFLIB is a package of portable tools and library routines for working with
 GIF images.
 .
 This package contains additional utilities.

Package: libgif7
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for GIF images (library)
 GIFLIB is a package of portable tools and library routines for working with
 GIF images.
 .
 This package contains the library.

Package: libgif-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgif7 (= ${binary:Version}), ${misc:Depends}
Description: library for GIF images (development)
 GIFLIB is a package of portable tools and library routines for working with
 GIF images.
 .
 This package contains the development files.
