## giflib 5.2.2

=== debian/changelog ===
giflib (5.2.2-1ubuntu1) noble; urgency=medium

  * d/p/snprintf.patch: 
    - cherry pick a patch from Adam Sampson to fix incorrect length arg
      to snprintf (LP:#2060282).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 05 Apr 2024 10:31:09 +0200

giflib (5.2.2-1) unstable; urgency=medium

  [ Debian Janitor]
  * Update standards version to 4.6.1, no changes needed.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Use secure URI in Homepage field.

  [ Andreas Metzler ]
  * debian/patches:
    + Drop patches applied upstream (fix-get-args-segment-violation.patch
      fix-spelling-errors-on-doc-pages.patch recover-giffilter-docs.patch
      add-gifsponge-docs.patch)
    + Drop superseded patch (install-only-distributed-binaries-manuals.patch).
    + Unfuzzz patches
    + Features fixes for CVE-2023-48161, CVE-2022-28506.
  * Cherry-pick Correct-document-page-install.patch to install manpages
    instead of xml source.
  * Install giflib.7 manpage.
  * Update symbol file (added DGifDecreaseImageCounter@Base).
  * Cherry-pick Clean-up-memory-better-at-end-of-run-CVE-2021-40633.patch to
    fix CVE-2021-40633.
  * Add lintian overrides for html files built from xml (source-is-missing).

  [ David Suárez ]
  * New upstream version;
      Closes: #1024988, #988151, #1014586, #1045040, 1049653
  * Update email to debian domain.
  * Wrap and sort.
  * Add 'dont-build-html-pages-images' patch.
  * Acknowledges NMU's uploads.
  * Add 'salsa-ci.yml'.

 -- David Suárez <deiv@debian.org>  Sun, 25 Feb 2024 17:44:51 +0000
