=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: giflib
 Section: libs
 Priority: optional
-Maintainer: David Suárez <david.sephirot@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Suárez <deiv@debian.org>
 Build-Depends: debhelper-compat (= 13), xmlto
-Standards-Version: 4.6.0
-Homepage: http://giflib.sourceforge.net/
+Standards-Version: 4.6.1
+Homepage: https://giflib.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/debian/giflib.git
 Vcs-Browser: https://salsa.debian.org/debian/giflib
 Rules-Requires-Root: no
@@ -12,10 +13,9 @@
 Package: giflib-tools
 Section: utils
 Architecture: any
-Depends:
- libperl4-corelibs-perl | perl (<< 5.12.3-7),
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: libperl4-corelibs-perl | perl (<< 5.12.3-7),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: libungif-bin
 Description: library for GIF images (utilities)
  GIFLIB is a package of portable tools and library routines for working with
