=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DH_ALWAYS_EXCLUDE=CVS:.idea
 
 # Include /usr/share/dpkg/pkg-info.mk to get DEB_{SOURCE,VERSION}
 include /usr/share/dpkg/pkg-info.mk
